#
# spec file for package rubygem-ruby-libvirt
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-ruby-libvirt
Version:        0.7.1
Release:        bp153.1.32
%define mod_name ruby-libvirt
%define mod_full_name %{mod_name}-%{version}
# MANUAL
BuildRequires:  libvirt
BuildRequires:  libvirt-devel
BuildRequires:  pkg-config
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubydevel >= 1.8.1}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://libvirt.org/ruby/
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        rubygem-ruby-libvirt-rpmlintrc
Source2:        gem2rpm.yml
Summary:        Ruby bindings for LIBVIRT
License:        LGPL-2.0-only
Group:          Development/Languages/Ruby

%description
Ruby bindings for libvirt.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING NEWS README README.rdoc" \
  -f
%gem_cleanup

%gem_packages

%changelog
* Mon Feb 19 2018 factory-auto@kulow.org
- updated to version 0.7.1
  see installed NEWS
  2018-02-18 0.7.1
  * Fix a bad bug in block_resize (Marius Rieder)
  * Fix up some problems pointed out by clang
  * Fix up the tests for small semantic differences in how libvirt works
* Fri Sep 23 2016 coolo@suse.com
- updated to version 0.7.0
  see installed NEWS
  2016-09-22 0.7.0
  * Fix network lease API to allow arguments that libvirt allows
  * Implement VIRT_STORAGE_POOL_CREATE flags
  * Implement more VIR_STORAGE_VOL flags
  * Implement VIR_DOMAIN_QEMU_AGENT_COMMAND_SHUTDOWN
  * Implement virDomainDefineXMLFlags
  * Implement virDomainRename
  * Implement virDomainSetUserPassword
  * Implement VIR_DOMAIN_TIME_SYNC
  * Fix the return value from virStreamSourceFunc so volume upload works
* Sat Nov 21 2015 coolo@suse.com
- updated to version 0.6.0
  see installed NEWS
* Sat Feb 22 2014 coolo@suse.com
- updated to version 0.5.2
  * Fix to make sure we don't free more entires than retrieved
* Sun Feb 16 2014 kkaempf@suse.com
- use new macros
- drop ruby-libvirt-0.5.0-compile.patch
* Sun Jan  5 2014 coolo@suse.com
- updated to version 0.5.1
  * Fixes to compile against older libvirt
  * Fixes to compile against ruby 1.8
* Tue Dec 10 2013 dmacvicar@suse.de
- update to 0.5.0
* Tue Mar 19 2013 dmacvicar@suse.de
- update to 0.4.0
- add the rubygem- prefix to the spec file name
* Fri Jul 22 2011 fcastelli@novell.com
- Fix description for devel package.
* Tue Jul 12 2011 fcastelli@novell.com
- Fixed spec file
- Upgraded to 0.3.0
  Wed Mar 10 09:14:03 UTC 2010 - Christian Hueller
- Initial package
